---
title: PaintWorkletGlobalScope.devicePixelRatio
slug: Web/API/PaintWorklet/devicePixelRatio
tags:
  - CSS Paint API
  - DPI
  - Houdini
  - NeedsBrowserCompatibility
  - NeedsExample
  - NeedsLiveSample
  - Property
  - Reference
  - Worklet
  - devicePixelRatio
  - paintWorklet
---
<p>{{draft}}{{APIRef("CSS Painting API")}}</p>

<p>The <strong><code>PaintWorkletGlobalScope.devicePixelRatio</code></strong> read-only property of the {{domxref("PaintWorklet")}} interface returns the current device's ratio of physical pixels to logical pixels.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">var devicePixelRatio = <em>PaintWorkletGlobalScope</em>.devicePixelRatio;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision integer.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Painting API','#dom-paintworkletglobalscope-devicepixelratio','PaintWorkletGlobalScope.devicePixelRatio')}}</td>
   <td>{{Spec2('CSS Painting API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaintWorkletGlobalScope.devicePixelRatio")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/PaintWorklet">PaintWorklet</a></li>
 <li><a href="/en-US/docs/Web/API/CSS/paintWorklet">CSS.paintWorklet</a></li>
 <li><a href="/en-US/docs/Web/API/Worklet">Worklet</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Painting_API">CSS Painting API</a></li>
 <li><a href="/en-US/docs/Web/Houdini">Houdini APIs</a></li>
 <li><a href="/en-US/docs/Web/Houdini/learn">Houdini overview</a></li>
 <li><a href="/en-US/docs/Web/API/Window/devicePixelRatio">window.devicePixelRatio</a></li>
</ul>
